Page MenuHomePhabricator

Document how PageImages works
Closed, ResolvedPublic

Description

There are a number of questions at https://www.mediawiki.org/wiki/Extension_talk:PageImages and tasks in https://phabricator.wikimedia.org/tag/pageimages/ that could potentially be answered once we have clearer documentation, at https://www.mediawiki.org/wiki/Extension:PageImages , about how exactly the extension works (including all configuration options, with examples) , and how exactly it is currently configured on Wikimedia sites (and if there are variations regarding the extensions that use it, giving details about them),

E.g.

  • How does it select images?
    • (details about dimensions?
    • does it avoid any types of templates?
    • does it now avoid non-fairuse images per T124225? If so, how?)
  • How can the selection be overridden, if at all?
  • How can mistaken selections, where there is no replacement image, be purged/reset? (e.g. https://en.wikipedia.org/w/index.php?title=Agnes_Boulton&action=info is currently showing her husband's picture)

Please add all details to https://www.mediawiki.org/wiki/Extension:PageImages not here! :-)

Event Timeline

Quiddity created this task.Mar 7 2016, 11:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2016, 11:36 PM
jhobs triaged this task as Low priority.Mar 8 2016, 6:10 PM
jeblad added a subscriber: jeblad.EditedJun 2 2016, 10:07 PM

Please add proper documenation for the scoring algorithm.

Jdlrobson closed this task as Resolved.May 26 2017, 9:56 PM
Jdlrobson claimed this task.
Jdlrobson added a subscriber: Jdlrobson.